Bug 190286 - Web Inspector: clicking initiator link in Network Tab table doesn't automatically switch to Preview section
Summary: Web Inspector: clicking initiator link in Network Tab table doesn't automatic...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-10-04 12:22 PDT by BJ Burg
Modified: 2018-10-08 10:24 PDT (History)
5 users (show)

See Also:


Attachments
screen recording of the issue (14.86 MB, video/quicktime)
2018-10-04 12:22 PDT, BJ Burg
no flags Details
Patch (2.79 KB, patch)
2018-10-05 01:54 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2018-10-04 12:22:17 PDT
Created attachment 351613 [details]
screen recording of the issue

Summary:

When I click on an initiator link, it should automatically show the Preview section so that the source location highlight can be seen. Currently it doesn't try to select that section, it shows whatever was there before.

Notes:

See video.
Comment 1 Devin Rousso 2018-10-05 01:54:46 PDT
Created attachment 351665 [details]
Patch

My build is currently not working, so this is a best guess.  It might not work :|
Comment 2 Radar WebKit Bug Importer 2018-10-05 01:55:20 PDT
<rdar://problem/45036515>
Comment 3 Radar WebKit Bug Importer 2018-10-05 01:55:20 PDT
<rdar://problem/45036516>
Comment 4 BJ Burg 2018-10-08 09:51:17 PDT
Comment on attachment 351665 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2018-10-08 10:24:22 PDT
Comment on attachment 351665 [details]
Patch

Clearing flags on attachment: 351665

Committed r236923: <https://trac.webkit.org/changeset/236923>
Comment 6 WebKit Commit Bot 2018-10-08 10:24:24 PDT
All reviewed patches have been landed.  Closing bug.